Bug 15431 - SVGRenderStyle should store pre-modified resource URIs
Summary: SVGRenderStyle should store pre-modified resource URIs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P3 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-08 17:50 PDT by Eric Seidel (no email)
Modified: 2008-07-10 00:07 PDT (History)
0 users

See Also:


Attachments
First attempt (220.15 KB, patch)
2008-07-06 12:56 PDT, Rob Buis
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2007-10-08 17:50:31 PDT
SVGRenderStyle should store pre-modified resource URIs

We have this code all over the place:
getFilterById(document(), SVGURIReference::getTarget(style()->svgStyle()->filter()));

And some other variations as well (manually doing what getTarget does).  Instead, the SVGRenderStyle should store *just* the anchor as an id, or the full url.  HTML does something similar.  This could be done as a CSSValue, I think.  That way we don't have to do lots of string manipulations every time we layout or paint SVG render objects (these string manipulations have shown up in samples in the past).
Comment 1 Rob Buis 2008-07-06 12:56:44 PDT
Created attachment 22114 [details]
First attempt

This moves the getTarget call to the style selector, unfortunately it changes a
lot of testcase text results.
Cheers,

Rob.
Comment 2 Eric Seidel (no email) 2008-07-06 18:53:38 PDT
Comment on attachment 22114 [details]
First attempt

Will this break external references?
Comment 3 Rob Buis 2008-07-08 00:16:00 PDT
Hi Eric,

(In reply to comment #2)
> (From update of attachment 22114 [details] [edit])
> Will this break external references?

Do you mean external references for tref and use? This has not landed yet
and these are not stored in (SVG)RenderStyle.
Cheers,

Rob.
Comment 4 Eric Seidel (no email) 2008-07-09 13:10:41 PDT
Comment on attachment 22114 [details]
First attempt

This is fine.

We'll eventually have to come up with a solution for external references.
Comment 5 Rob Buis 2008-07-10 00:07:02 PDT
Fixed by r35072.